GNU bug report logs - #59131
gnu: emacs-magit: Tests fail.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: "(" <paren@HIDDEN>; dated Tue, 8 Nov 2022 19:50:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 59131 <at> debbugs.gnu.org:


Received: (at 59131) by debbugs.gnu.org; 9 Nov 2022 07:44:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 02:44:46 2022
Received: from localhost ([127.0.0.1]:38891 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osflO-0002I2-JE
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2022 02:44:46 -0500
Received: from knopi.disroot.org ([178.21.23.139]:57050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1osflN-0002Hu-0I
 for 59131 <at> debbugs.gnu.org; Wed, 09 Nov 2022 02:44:45 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 5584640BBA;
 Wed,  9 Nov 2022 08:44:44 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id syxm8sxdsa5U; Wed,  9 Nov 2022 08:44:43 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667979883; bh=6udbZKv13HNxTxnrDlEfhaPS1AB3KhZ4Jkz0Uasi6CM=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To:From;
 b=BNSNxRqLOCzU/MbgcqBtQNROZK/Gjg83zcM5Doh+xYHqxxyP5Uvk8f/2zBKFhuN0F
 NzGRIIDk/9KYC5t3NKD/Ng6phVuinHPqRqlPIwoSsi7WGCztCiKy2+XH+Har6C1lEW
 R1IYDbcOaqqy3OcgRA22Hx/j75X47M0RvvdlQDJ+w+CgRmT9RIMOB77+16v/0hqN5q
 6X1VART8yHTjKW3aOAMhjaMpXE0XyHc8kmCTJywhG9ikoeUgZcihSGbvMclJMklNn9
 6cja2Wl0bEPuhHpIvIaCF/HgLKHxVX55nofm3ukhJod0wl9y4Fv5hEOv1GG+kyC3Df
 23eLIjMXop0jg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Wed, 09 Nov 2022 07:44:42 +0000
Message-Id: <CO7LIRM3F0OL.24UAN7E5YLNYV@guix-framework>
Subject: Re: bug#59131: gnu: emacs-magit: Tests fail.
From: "(" <paren@HIDDEN>
To: "Kyle Meyer" <kyle@HIDDEN>
References: <CO76AMURS689.12UOEPAP8T4KW@guix-framework>
 <877d043ha5.fsf@HIDDEN>
In-Reply-To: <877d043ha5.fsf@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Heya, On Wed Nov 9, 2022 at 4:04 AM GMT, Kyle Meyer wrote:
 > Thanks for posting this. This recently started failing on Magit's CI, >
 but nobody had looked into it too deeply yet. Your message suggested > th
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 59131
Cc: 59131 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Heya,

On Wed Nov 9, 2022 at 4:04 AM GMT, Kyle Meyer wrote:
> Thanks for posting this.  This recently started failing on Magit's CI,
> but nobody had looked into it too deeply yet.  Your message suggested
> that bisecting Git v2.38.0..v2.38.1 would be a good place to start.
>
> That pointed to this being fallout from Git's a1d4f67c12 (transport:
> make `protocol.file.allow` be "user" by default, 2022-10-01), and the
> two failures above are now resolved by Magit's 36059e0b (test: Set
> protocol.file.allow=3Dalways to restore old Git behavior, 2022-11-08).
>
> (In terms of fixing Guix's emacs-magit build, 36059e0b applies cleanly
> to v3.3.0's tree.)

Thanks for the investigation and fix! I'll submit a patch to apply 36059e0b
on top of our emacs-magit source.

    -- (




Information forwarded to bug-guix@HIDDEN:
bug#59131; Package guix. Full text available.

Message received at 59131 <at> debbugs.gnu.org:


Received: (at 59131) by debbugs.gnu.org; 9 Nov 2022 04:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 23:04:27 2022
Received: from localhost ([127.0.0.1]:38630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oscKA-0004yK-O1
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 23:04:27 -0500
Received: from out2.migadu.com ([188.165.223.204]:47252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kyle@HIDDEN>) id 1oscK8-0004yB-Eu
 for 59131 <at> debbugs.gnu.org; Tue, 08 Nov 2022 23:04:25 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kyleam.com; s=key1;
 t=1667966660;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=kzvBWn/FdxKdx3O2a9afTUpDdjWAz6P8BkplsP8rQd8=;
 b=ZgdZtjALq+ECpWOn3w0+dT0HNcWCPr5wvkFcoQWUAAPzVG947STY3ewkiV4QBauF9BRA4p
 Vh+z3BaBlh7tuGQskuctaPp4xSbsEro5tuLycFWJtqZ9jbejb+icXvOBAl7hhKpSfJub+t
 DI0cPd6X8M2Y4+50LzbcLZN/uGvAmMjasulJ1sTdpn6sqY9HRpjZyZ4C0TreK0MjJwWOSF
 8rN2ywZYWsG9mrE98NLxPjUnbYF9UpKXKHcs2imGhD6kRyav2hZ1qMNRk6GylC7xROCAyC
 NRSU1B4XLkTlPrzYgMjCnO/BV9mleIaK5lhZLWbxDioG2pVhiBdG7FOe04h1CQ==
From: Kyle Meyer <kyle@HIDDEN>
To: "(" <paren@HIDDEN>
Subject: Re: bug#59131: gnu: emacs-magit: Tests fail.
In-Reply-To: <CO76AMURS689.12UOEPAP8T4KW@guix-framework>
References: <CO76AMURS689.12UOEPAP8T4KW@guix-framework>
Date: Tue, 08 Nov 2022 23:04:18 -0500
Message-ID: <877d043ha5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59131
Cc: 59131 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

paren--- via Bug reports for GNU Guix writes:

>   $ guix describe
>   Generation 240	Nov 08 2022 18:38:30	(current)
>   guix c52cdd1
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: c52cdd18d6f8dddd69dfb1f8b5214a0db6ebb562
> [...]
>
>   2 unexpected results:
>      FAILED  magit-get
>      FAILED  magit-toplevel:submodule
>
>   1 skipped results:
>     SKIPPED  magit-toplevel:tramp
>
>   make: *** [Makefile:111: test] Error 1
>
> This appears to have been caused by commit 83ede5a ("gnu: git: Update to 2.38.1.").

Thanks for posting this.  This recently started failing on Magit's CI,
but nobody had looked into it too deeply yet.  Your message suggested
that bisecting Git v2.38.0..v2.38.1 would be a good place to start.

That pointed to this being fallout from Git's a1d4f67c12 (transport:
make `protocol.file.allow` be "user" by default, 2022-10-01), and the
two failures above are now resolved by Magit's 36059e0b (test: Set
protocol.file.allow=always to restore old Git behavior, 2022-11-08).

(In terms of fixing Guix's emacs-magit build, 36059e0b applies cleanly
to v3.3.0's tree.)




Information forwarded to bug-guix@HIDDEN:
bug#59131; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2022 19:49:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 08 14:49:02 2022
Received: from localhost ([127.0.0.1]:38220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osUaj-0001W8-VV
	for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 14:49:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:42708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1osUaj-0001Vz-2C
 for submit <at> debbugs.gnu.org; Tue, 08 Nov 2022 14:49:01 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1osUai-0005eD-Sj
 for bug-guix@HIDDEN; Tue, 08 Nov 2022 14:49:00 -0500
Received: from knopi.disroot.org ([178.21.23.139])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paren@HIDDEN>) id 1osUad-0000OK-OU
 for bug-guix@HIDDEN; Tue, 08 Nov 2022 14:49:00 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AD77C40AF5
 for <bug-guix@HIDDEN>; Tue,  8 Nov 2022 20:48:50 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Z2v9KjiniXNX for <bug-guix@HIDDEN>;
 Tue,  8 Nov 2022 20:48:49 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667936929; bh=yz4DgvSfPN7RU6n8HdvQ6JgCHz86EZeacn2tUQybIZU=;
 h=Date:Subject:From:To:From;
 b=eOTmT4iTrUf723kViOp8ZAyTs+ltvsEmhF4QgYN/CP2aznwt8LphPj0kAUWk/Eb9V
 cEeLATmWKaDub9Na5f1sM/ICciTajssfwtyu/vukVkVEj/QAuULVsCnE6DhwDSaR1i
 d+nX0QCWW00DK536aaDyKPh77zqIlHBnk2Em2H3AEML8hp/wYM7Wgru3bBEDPHmN8m
 t5f1pu8/CABLyDnv7ir4G9ZZ82hncGZ3stjsA0c884jACLnE4uf3uVyiInDNDDhrlh
 N6vbtM6X3JevQD1yWRgvO0wMVhEktnQ3Xz55pDO68Vn/CQrlxf+XsvWhI9kbGeRyOt
 uIRcRYlWK0kbg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Tue, 08 Nov 2022 19:48:48 +0000
Message-Id: <CO76AMURS689.12UOEPAP8T4KW@guix-framework>
Subject: gnu: emacs-magit: Tests fail.
From: "(" <paren@HIDDEN>
To: <bug-guix@HIDDEN>
Received-SPF: pass client-ip=178.21.23.139; envelope-from=paren@HIDDEN;
 helo=knopi.disroot.org
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Heya Guix,

  $ guix describe
  Generation 240	Nov 08 2022 18:38:30	(current)
  guix c52cdd1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: c52cdd18d6f8dddd69dfb1f8b5214a0db6ebb562
  [...]

EMACS-MAGIT fails to build on master, as two tests fail:

  starting phase `check'
  Loading /tmp/guix-build-emacs-magit-3.3.0.drv-0/source/t/magit-tests.el (=
source)...
  Running 20 tests (2022-11-08 19:45:52+0000, selector =E2=80=98t=E2=80=99)
     passed   1/20  magit--with-safe-default-directory (0.012841 sec)
  Keeping test directory:
    /tmp/guix-build-emacs-magit-3.3.0.drv-0/magit-HMOZ05/
  Test magit-get backtrace:
    signal(magit-git-error ("clone of '/tmp/guix-build-emacs-magit-3.3.0
    (condition-case err (let* ((vnew #'(lambda (&rest _))) (old (symbol-
    (let ((dir (file-name-as-directory (make-temp-file "magit-" t))) (pr
    (let ((lexical-binding nil)) (let ((dir (file-name-as-directory (mak
    (lambda nil (let ((lexical-binding nil)) (let ((dir (file-name-as-di
    ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
    ert-run-test(#s(ert-test :name magit-get :documentation nil :body (l
    ert-run-or-rerun-test(#s(ert--stats :selector t :tests [... ... ...=20
    ert-run-tests(t #f(compiled-function (event-type &rest event-args) #
    ert-run-tests-batch(nil)
    ert-run-tests-batch-and-exit()
    (progn (load-file "t/magit-tests.el") (ert-run-tests-batch-and-exit)
    eval((progn (load-file "t/magit-tests.el") (ert-run-tests-batch-and-
    command-line-1(("-L" "./lisp" "-L" "./../dash" "-L" "./../libgit" "-
    command-line()
    normal-top-level()
  Test magit-get condition:
      (magit-git-error "clone of '/tmp/guix-build-emacs-magit-3.3.0.drv-0/m=
agit-HMOZ05/remote' into submodule path '/tmp/guix-build-emacs-magit-3.3.0.=
drv-0/magit-HMOZ05/super/repo' failed (in /tmp/guix-build-emacs-magit-3.3.0=
.drv-0/magit-HMOZ05/super/)")
     FAILED   2/20  magit-get (0.381424 sec)
     passed   3/20  magit-get-boolean (0.149823 sec)
     passed   4/20  magit-get-{current|next}-tag (0.366224 sec)
     passed   5/20  magit-in-bare-repo (0.027539 sec)
     passed   6/20  magit-in-non-bare-repo (0.042858 sec)
     passed   7/20  magit-list-{|local-|remote-}branch-names (0.152424 sec)
     passed   8/20  magit-process:match-prompt-match-non-first-prompt (0.00=
0029 sec)
     passed   9/20  magit-process:match-prompt-nil-when-no-match (0.000019 =
sec)
     passed  10/20  magit-process:match-prompt-non-nil-when-match (0.000019=
 sec)
     passed  11/20  magit-process:match-prompt-preserves-match-group (0.000=
024 sec)
     passed  12/20  magit-process:match-prompt-suffixes-prompt (0.000021 se=
c)
     passed  13/20  magit-process:password-prompt (0.000029 sec)
     passed  14/20  magit-process:password-prompt-observed (0.000308 sec)
     passed  15/20  magit-status:file-sections (0.417049 sec)
     passed  16/20  magit-status:log-sections (0.432241 sec)
     passed  17/20  magit-toplevel:basic (0.155159 sec)
  Keeping test directory:
    /tmp/guix-build-emacs-magit-3.3.0.drv-0/magit-F6vcoC/
  Test magit-toplevel:submodule backtrace:
    signal(magit-git-error ("clone of '/tmp/guix-build-emacs-magit-3.3.0
    (condition-case err (let* ((vnew #'(lambda (&rest _))) (old (symbol-
    (let ((dir (file-name-as-directory (make-temp-file "magit-" t))) (pr
    (let ((find-file-visit-truename nil)) (let ((dir (file-name-as-direc
    (let ((lexical-binding nil)) (let ((find-file-visit-truename nil)) (
    (lambda nil (let ((lexical-binding nil)) (let ((find-file-visit-true
    ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
    ert-run-test(#s(ert-test :name magit-toplevel:submodule :documentati
    ert-run-or-rerun-test(#s(ert--stats :selector t :tests ... :test-map
    ert-run-tests(t #f(compiled-function (event-type &rest event-args) #
    ert-run-tests-batch(nil)
    ert-run-tests-batch-and-exit()
    (progn (load-file "t/magit-tests.el") (ert-run-tests-batch-and-exit)
    eval((progn (load-file "t/magit-tests.el") (ert-run-tests-batch-and-
    command-line-1(("-L" "./lisp" "-L" "./../dash" "-L" "./../libgit" "-
    command-line()
    normal-top-level()
  Test magit-toplevel:submodule condition:
      (magit-git-error "clone of '/tmp/guix-build-emacs-magit-3.3.0.drv-0/m=
agit-F6vcoC/remote' into submodule path '/tmp/guix-build-emacs-magit-3.3.0.=
drv-0/magit-F6vcoC/super/repo' failed (in /tmp/guix-build-emacs-magit-3.3.0=
.drv-0/magit-F6vcoC/super/)")
     FAILED  18/20  magit-toplevel:submodule (0.180480 sec)
    skipped  19/20  magit-toplevel:tramp (0.000079 sec)
     passed  20/20  magit-utils:add-face-text-property (0.000025 sec)

  Ran 20 tests, 17 results as expected, 2 unexpected, 1 skipped (2022-11-08=
 19:45:54+0000, 2.453376 sec)

  2 unexpected results:
     FAILED  magit-get
     FAILED  magit-toplevel:submodule

  1 skipped results:
    SKIPPED  magit-toplevel:tramp

  make: *** [Makefile:111: test] Error 1

This appears to have been caused by commit 83ede5a ("gnu: git: Update to 2.=
38.1.").

    -- (




Acknowledgement sent to "(" <paren@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#59131; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Nov 2022 08:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.